Summary: iPasserelle webSSO module
%define name ipasserelle-portal
Name: %{name}
%define version 0.2.8
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPLv2+
URL: http://www.ipasserelle-.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}

Requires: smeserver-lemonldap-ng => 0.1-15
Requires: ipasserelle-userpanel
Requires: smeserver-vacation
Requires: smeserver-userpanels

BuildRequires: e-smith-devtools

%description
Add a webSSO module based on LemonLDAP::NG

%changelog
* Wed Feb 11 2015 Daniel Berteaud <daniel@firewall-services.com> 0.2.8-1
- Make sure mail var is set

* Wed Feb 11 2015 Daniel Berteaud <daniel@firewall-services.com> 0.2.7-1
- exported vars are back in the global scope

* Tue Sep 2 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2.6-1
- Update exportedVars from LDAP for Lemonldap::NG 1.4

* Thu Feb 13 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2.5-1
- Fix URL for hatch.gif and lock.png in CSS

* Wed Sep 11 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.4-1
- Add iPasserelle skin for LL::NG

* Wed Aug 21 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.3-1
- Use lemonldap logo in the portal

* Fri Aug 24 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1
- Generate a random key

* Thu Aug 23 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1
- Remove default manager.example.com vhost

* Mon Jun 18 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1
- Import in GIT
- Don't require smeserver-mailsorting anymore

* Mon Oct 24 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-3
- Disable the password reset option in the portal

* Mon Jul 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-2
- Renamed to ipasserelle-portal

* Tue Jun 28 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- initial release


%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc CHANGELOG.git" >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

